Subject: Re: [PATCH v3] docs: net: add netlink attrs best practices

From: Jakub Kicinski <[email-masked]>
Date: Mon, 14 Aug 2023 08:53:18 -0700

On Sat, 12 Aug 2023 10:35:09 +0800 (GMT+08:00) Lin Ma wrote:
> Moving forward, I suggest we consider the following options:
> 
> 1. Update the document to address the confusion and make it more relevant
>    to the current state of Netlink development. Maybe the newly added
>    section seems not enough for that. I would greatly appreciate any
>    specific guidance.

Unless we have docs for kernel side of modern genetlink any sort of
indication that this doc is only a guide for looking at old code will
fall on deaf ears.

So you'd need to write a sample family and docs for modern stuff.

> 2. If the document is deemed too outdated for being kernel documentation,
>    maybe I should publish it somewhere else. Do you have any
>    recommendations on where it could be better suited?

GitHub comes to mind for publishing ReST docs, in the meantime?